WordPress.org

Ready to get started?Download WordPress

Forums

Upgrading WP error (17 posts)

  1. AlisonMooreSmith
    Member
    Posted 4 years ago #

    I'm trying to run the auto update to 2.8.2. I have no problem with my blogs that I host elsewhere, but the blogs on our own server give an error that says:

    Error: There was an error connecting to the server, Please verify the settings are correct.

    Server OSX Leopard

    We tried turning FTP on, but it still didn't work. Any ideas how to configure so that we can use auto upgrade?

    Thanks.

  2. Shane G
    Member
    Posted 4 years ago #

    Hi,

    It seems that you are using the incorrect the login details of the FTP service. Try to use the server IP address in host address rather then http://ftp.domainname

    First, manually check the FTP service is working fine..if it is then there could not be any issue.

    Thanks,

    Shane G.

  3. AlisonMooreSmith
    Member
    Posted 4 years ago #

    We did a manual check and it worked fine. So used the IP address.

    Same error occurred.

    Any more ideas?

  4. whooami
    Member
    Posted 4 years ago #

    Any more ideas?

    yeah, do a manual upgrade.

    use your ftp client to upload the files

    you can spend days trying to fix something, or minutes going around it.

    your choice, your site. keeping in mind that whatever version youre currently running is insecure.

  5. AlisonMooreSmith
    Member
    Posted 4 years ago #

    Yea, Whooami, I know manual upgrade is an option, if I knew how to do it.

    I'd like to see if I can fix the problem I'm having for later simplicity of upgrading WP, plug-ins, themes, etc. I understand that might not be worth it to you. It is to me.

    If anyone has ideas on why I can't upgrade automatically--or something else to check--I'd appreciate input.

    Why do you say my current version is insecure?

  6. whooami
    Member
    Posted 4 years ago #

    Why do you say my current version is insecure?

    because youre NOT running 2.8.2 or you wouldnt need to be upgrading. Kinda obvious?

    I know manual upgrade is an option, if I knew how to do it.

    if you dont know how to use an ftp client and upload files..

    --

    you want to spend time mucxking around with something that would already be done had you just done what needed to be done.. fine with 'us' -- its your time, not anyone else's.

    have fun :)

  7. AlisonMooreSmith
    Member
    Posted 4 years ago #

    No, of course it's not "obvious" that running a version other than the current one is necessarily insecure.

    Yes, I do know how to ftp and upload files. Still, I have not manually upgraded WP. And wanting to find out why something is or is not working is a learning process in itself.

    As I said, I have no problem if it's not worth your time to help me. But for you to demean someone for trying to figure out why and how something works is a rather sad use of time.

    Whoo, I know you have a habit of flitting around the forum slamming people if you don't think they're up to your level, but I'm not sure the point of it. Perhaps it your way of amusing yourself.

    Your life, your choice.

    If anyone else has information that might help me track down the problem, I'd appreciate input.

  8. whooami
    Member
    Posted 4 years ago #

    this has nothing to do with 'slamming you' - take the chip of your shoulder and accept the fact that other people know more than you and have more experience in some things -- im trying to get you to understand that you can fix this problem later, and test that it's fixed. That waiting isnt necessary.

    Wanting to find out why something isnt working is great -- and is certainly admirable -- its just not a necessary piece of the puzzle right this second.

    Youre getting good advice, you just dont realize it.

    if just about ANYHTHING breaks in wordpress, you need to pull out your ftp client to fix it.

    Wondering why the complexities involved in wordpress' automatic upgrade dont work on a partcular server 'should be' the second thing folks worry about mastering or solving. (imo) Being able to fix something using your FTP client is the REAL lifesaver.

    I tend to prioritize.. thats all.

    In regards to the obviousness of this upgrade being necessary, and that any version prior is insecure, and, worse yet, being exploited in the wild -- I seem to remember that the dashboard had a very prominent read in it regarding the most recent security issues, etc.. and addressed prior releases, as well.

    If I were buying a home, I wouldnt tell someone thats been selling homes they were trying to slam me if they gave me advice about how to do so -- I would probably defer to their authority on the subject.

  9. AlisonMooreSmith
    Member
    Posted 4 years ago #

    There is nothing in my post to suggest that I think I know more than you or anyone else. But the ad hominem might indicate where the chip really lies.

    To be clear, I do understand that I can "fix the problem later." That is true for most problems. But the fact is, I'm interested in fixing it now. I'm not sure why that is so troubling to you and why you're insistent that doing so isn't necessary, isn't an appropriate priority, etc. I'm unsure why you have taken it upon yourself to try to convince me of what I "should be" spending my time on.

    Again, I understand if this is not YOUR priority. You are free to move on to questions that you are interested in. I'm simply looking for input from someone who might be able to pinpoint the problem and who IS willing to spend the time.

    Your suggestion that I "don't realize" I'm getting "good advice" indicates that perhaps you didn't read my post. I do understand that I could manually upgrade. But I've explained that I'm unsure how to do it. Ignoring "good advice" isn't synonymous with being unable to follow it.

    Yes, again, I have the ability to FTP. And, yes, I have read the directions on upgrading in the codex. They are more complex than simply clicking a button, as I'm sure you know. I realize that to someone with your expertise the complexity is trifling. You might consider that to others, it is not. And less so for two of my kids for whom I'm trying to make this simple.

    Having a recollection that the dashboard may have had "a very prominent read" about security issues would, obviously, only be meaningful for making a declaration if you knew other's personal habits and use of the dashboard. Explaining to someone existing security issues would likely be helpful. I'm hard pressed to see how responding to a question about them with something like "because you're doing something else" followed by "kinda obvious?" would be.

    whooami, it wasn't your "advice" that induced the word "slamming." It was comments like those below. Since figuring out this problem is outside your expertise and/or interest, please feel free to spend your time on worthy questions. Really, it's OK. I won't be hurt.

    worst thread title ever. how long did it take you to come up with such a completely useless title?

    its IN the docs:

    this has been discussed ad nauseum.

    sigh

    you can spend 8 hours looking for the answer to the lazy way to upgrade an insecure blog, or 15 mins doing it the other way,

    if you have been doing this for 2 weeks, seriously, why arent you looking for another set of eyes? How much is YOUR time worth to you? pennies?

    yes, by all means, enlist someone with a weeks worth of experience on these forums to help you -- there's a sure pathway to success.

    you can spend days trying to fix something, or minutes going around it. your choice, your site.

    you want to spend time mucxking around with something that would already be done had you just done what needed to be done.. fine with 'us' -- its your time, not anyone else's.

    take the chip of your shoulder and accept the fact that other people know more than you and have more experience in some things

    Youre getting good advice, you just dont realize it.

  10. Samuel B
    moderator
    Posted 4 years ago #

    wow - what a productive thread
    do I need to close it?

  11. whooami
    Member
    Posted 4 years ago #

    sure, but wait till I reply please -- Ill be nice. :)

    There is nothing in my post to suggest that I think I know more than you or anyone else

    No, there isnt. On the contrary, what you are saying is that I am smug in MY knowledge.

    Right here, in fact:

    Whoo, I know you have a habit of flitting around the forum slamming people if you don't think they're up to your level ..

    --

    I'm not sure why that is so troubling to you and why you're insistent that doing so isn't necessary, isn't an appropriate priority, etc. I'm unsure why you have taken it upon yourself to try to convince me of what I "should be" spending my time on.

    Troubling me? Not so much. I like informed consent. Your blog is hackable. Now that you understand that, the onus for taking care of it is on you, whichever way you do it.

    Nothing else, nothing more.

    --

    As for your pasting, Im unmoved, sorry. I make no pains about the factg that I inject my personal opines into my answers, and that some people dont like hearing it. Like most experienced people on this forum, I read some things around here that people say and my jaw drops --

    .. wanting to upload themes to a site that were gotten off a torrent site

    .. doesnt want to upgrade because a plugin might break

    .. has spent 2 weeks trying to figure something out and is still stuck

    the list could go on and on. Sometimes people need to hear things - they need to be told that its okay to ask for someone to help, and they need to be told that the person that just offerred to help has NO history on these forums.

    Why? because they may not know how to check, and guess what -- I wouldnt want someone that just meandered onto a forum a week ago to be poking around in MY virtual house. Why would i want someone else to suffer that risk?

    Sometimes people need to be told that their idea is plain stupid. And guess what -- im going to tell people if I think it is.

    I say things matter of factly. Im not here to hold hands, or sing kum-bay-yah. Im not here to make online friends.

    and guess what -- the people that listen to me -- they tend up on the winning side of the wordpress game.


    good answer whooami

    excellent thank you whooami

    Thanks so much WHOOAMI! :) You rock!

    whooami-- YOU ROCK.

    Thanks whooami for understanding where I'm coming from.


    I have got the solution now, thanks to Whooami

    I love you whooami.

    I even get called out on occassion:

    http://wordpress.org/support/topic/118995?replies=9

    My point is this; you dont like my advice, fine. you dont want to follow it fine. But you dont have any right to cast your little stones at me -- you come back after you've walked in my shoes around here -- then we'll talk.

  12. Samuel B
    moderator
    Posted 4 years ago #

    yea, but have you ever been called a god?
    :>)

  13. whooami
    Member
    Posted 4 years ago #

    no, youve got me there :)

  14. AlisonMooreSmith
    Member
    Posted 4 years ago #

    On the contrary, what you are saying is that I am smug in MY knowledge.

    Yes, I am and you are. And since you seem to agree--your opining and sighing is apparently for the good of all recipients--I'm unsure what the issues is.

    Your blog is hackable. Now that you understand that, the onus for taking care of it is on you, whichever way you do it.

    Nothing else, nothing more.

    Actually, the onus was on me anyway. And, as I said, if your intent was simply to inform me that all past versions of WP were hackable, then a more efficient way of communicating that would have been to actually say so, rather than to answer "why is it insecure?" with the, yes, smug "because youre NOT running 2.8.2 or you wouldnt need to be upgrading. Kinda obvious?"

    Informing me that I was not running 2.8.2 (which I obviously already knew) isn't giving me the information you claim to have been trying to give. And claiming it was obvious (a claim I already addressed) wasn't either. (In other words, it absolutely was "something else.")

    Whether your poor jaw is slacking or not, doesn't require the smugness. No, I didn't think you would be moved by the quotes. I was simply responding to your erroneous statement. Again, I didn't accuse you of slamming because because you gave "advice." I accused you of slamming because you do. And, no, responding helpfully when your jaw is dragging does not require smugness or sighing.

    I'm aware that you are sometimes helpful. But as for your pasting, I'm unmoved, sorry. You still seem to miss the oft-repeated point and I'm unsure why you believe continuing to misrepresent it will somehow make it true. I didn't say I don't like your advice. Neither did I say I didn't want to follow it. I said I was unable to follow it and that I was looking for information that you were unable/unwilling to give. Yet, you continue to post the same erroneous responses. It's nonsensical.

    whooami, making a claim of victimhood doesn't turn you into a victim. If you're getting stoned because someone responds to your claims, then you should look around to see where they are coming from. As I've said from the start, if you are unable or unwilling to address my questions, I have no problem with that.

  15. Zulfikar Nore
    Member
    Posted 4 years ago #

    OK since this topic has gone heywired and the problem is not being resolved I suggest that mod should close it.

    @AlisonMooreSmith - we are here to help, but am not goin to post in this thread. Shoot me an email to admin@bloginstallationservice.com and I'll be happy to take a loog at your blog for you :)

    Fair?

  16. whooami
    Member
    Posted 4 years ago #

    yes, by all means, do that. Its their box, colo'd at 1&1. Im sure they'll let you have shell access.

    In the mean time, have you tried this:

    http://fredpalma.com/automatic-wordpress-upgrade-error-error-there-was-an-error-connecting-to-the-server-please-verify-the-settings-are-correct/

    allison?

  17. AlisonMooreSmith
    Member
    Posted 4 years ago #

    ZGani, thanks very much. I'll email you.

    whooami, thanks for the link. I'll read the info there.

Topic Closed

This topic has been closed to new replies.

About this Topic